Subject: Re: linux-next: manual merge of the signal tree with the powerpc tree

From: Michael Neuling <[email-masked]>
Date: Thu, 21 Feb 2013 14:43:49 -0600

Benjamin Herrenschmidt <[email-masked]> wrote:

> On Thu, 2013-02-21 at 15:52 +1100, Stephen Rothwell wrote:
> > Hi Al,
> > 
> > Today's linux-next merge of the signal tree got conflicts in
> > arch/powerpc/kernel/signal_32.c and arch/powerpc/kernel/signal_64.c
> > between commit 2b0a576d15e0 ("powerpc: Add new transactional memory state
> > to the signal context") from the powerpc tree and commit 7cce246557bf
> > ("powerpc: switch to generic sigaltstack") from the signal tree.
> > 
> > I fixed it up (I think - see below) and can carry the fix as necessary
> > (no action is required).
> 
> Mikey, can you check everything's all right ?
> 
> I'm happy to wait for Al stuff to go in first & fixup the conflict
> before I send the pull request to Linus. I'm off travelling around but I
> should be able to get stuff out this week-end.

The merge looks fine to me.  My TM signal tests still pass on
next-20130221.

Thanks sfr!

Mikey